Name:           notepadqq
Version:        0.50.4
Release:        1%{?dist}
Summary:        Advanced, extensible source code editor

License:        GPLv3
URL:            http://notepadqq.altervista.org/
# Because there's a submodule, the code must be cloned and archived manually
# $ git clone --recursive https://github.com/notepadqq/notepadqq.git notepadqq-0.50.4
# $ cd notepadqq-0.50.4; git checkout tags/v0.50.4; cd ..
# $ tar Jcvf notepad-0.50.4.tar.xz notepad-0.50.4
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  git
BuildRequires:  qt5-qtbase-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui) 
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Widgets) 
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)

%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

It helps developers by providing all you can expect from a
general purpose text editor, such as syntax highlighting for
more than 100 different languages, code folding, color schemes,
file monitoring, multiple selection and much more.

You can search text using the power of regular expressions.
You can organize documents side by side. You can use real-time
highlighting to find near identifiers in no time.

%prep
%setup -q


%build
# Note: not a real autotools configure script, so not using the macro
./configure --prefix=%{buildroot}%{_prefix} --qmake=/usr/bin/qmake-qt5
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 support_files/manpage/%{name}.1 %{buildroot}%{_mandir}/man1
%make_install


%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datarootdir}/%{name}
%{_usr}/lib/%{name}
%{_datarootdir}/applications/%{name}.desktop
%{_datarootdir}/icons/hicolor/128x128/apps/%{name}.png
%{_datarootdir}/icons/hicolor/16x16/apps/%{name}.png
%{_datarootdir}/icons/hicolor/22x22/apps/%{name}.png
%{_datarootdir}/icons/hicolor/24x24/apps/%{name}.png
%{_datarootdir}/icons/hicolor/256x256/apps/%{name}.png
%{_datarootdir}/icons/hicolor/32x32/apps/%{name}.png
%{_datarootdir}/icons/hicolor/48x48/apps/%{name}.png
%{_datarootdir}/icons/hicolor/512x512/apps/%{name}.png
%{_datarootdir}/icons/hicolor/64x64/apps/%{name}.png
%{_datarootdir}/icons/hicolor/96x96/apps/%{name}.png
%{_datarootdir}/icons/hicolor/scalable/apps/%{name}.svg
%license COPYING
%doc README.md

%changelog
* Wed Sep 30 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.50.4-1
- Initial packaging
